package com.redhat.samples.switchyard;

import javax.inject.Inject;
import javax.transaction.UserTransaction;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.switchyard.component.bean.Service;

@Service(GreetingService.class)
public class GreetingServiceImpl implements GreetingService {

    private static final Logger LOGGER = LoggerFactory.getLogger(GreetingServiceImpl.class);

    @Inject
    private UserTransaction ut;

    @Override
    public String hello(String name) {
        try {
            ut.begin();
            String message = String.format("Hello, %s!", name);
            LOGGER.info(message);
            ut.commit();
            return message;
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public String goodbye(String name) {
        String message = String.format("Goodbye, %s!", name);
        LOGGER.info(message);
        return message;
    }

}
